Update a contact by ID
curl --request PATCH \
--url https://dev-public-api.openphone.dev/contacts/{contactId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Quo-Api-Version: <quo-api-version>' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://my.quo.com/contacts/6a145ff26212a192852c856e"
}
'{
"data": {
"id": "6a145ff26212a192852c856e",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://example.com/contacts/001",
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Contacts
Update a contact by ID
Update a contact by ID.
PATCH
/
contacts
/
{contactId}
Update a contact by ID
curl --request PATCH \
--url https://dev-public-api.openphone.dev/contacts/{contactId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Quo-Api-Version: <quo-api-version>' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://my.quo.com/contacts/6a145ff26212a192852c856e"
}
'{
"data": {
"id": "6a145ff26212a192852c856e",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://example.com/contacts/001",
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
The unique identifier of the contact being updated.
Pattern:
^(.*)$Example:
"6a145ff26212a192852c856e"
Body
application/json
The first name of the contact.
Example:
"John"
The last name of the contact.
Example:
"Doe"
The company of the contact.
Example:
"Quo"
The role of the contact.
Example:
"admin"
The external ID of the contact.
Example:
"1234567890"
The source of the contact.
Example:
"public-api"
The source URL of the contact.
Example:
"https://my.quo.com/contacts/6a145ff26212a192852c856e"
Response
OK
Show child attributes
Show child attributes
Was this page helpful?